#!/usr/bin/perl -w

use strict;

#my @list = qx#/sbin/ifconfig -a 2> /dev/null | grep -v "^ " | cut -d " " -f 1#;
my @list = qx#/sbin/ifconfig 2> /dev/null | grep -v "^ " | cut -d " " -f 1#;
my $sorti;

if ( ! @list ) {
	$sorti = "Location:https://127.0.0.1:10000\n\n";
}
else {
	chomp @list;
}

foreach my $line (@list) {
	if ($line =~ m/(eth|bond)/i) {
		my $addr = qx#/sbin/ifconfig $line 2> /dev/null#;
		if ($addr =~ /inet adr:(\d+.\d+.\d+.\d+)/) {
			$sorti = "Location:https://$1:10000\n\n";
		}
		if ($addr =~ /inet addr:(\d+.\d+.\d+.\d+)/) {
			$sorti = "Location:https://$1:10000\n\n";
		}
	}
}

$sorti = "Location:https://127.0.0.1:10000\n\n" unless ( $sorti );

print $sorti;	
	
